{ lib, buildPythonPackage, fetchFromGitea, setuptools-scm, preserves, websockets
}:

buildPythonPackage rec {
  pname = "syndicate";
  version = "unstable-2022-02-04";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = "${pname}-py";
    rev = "3187c4642bd3816382c9c9d86d28ef35dc206f0d";
    sha256 = "sha256-ilRoNtOV21naB5pJRM4DXEYAShGzFodwB5jAl94yIuo=";
  };

  buildInputs = [ setuptools-scm ];
  propagatedBuildInputs = [ preserves websockets ];

  meta = src.meta // {
    homepage = "https://syndicate-lang.org";
    description = "An implementation of Syndicated Actors for Python";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
