# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchgit, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.24.0";
  src = fetchgit {
    url = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs.git";
    rev = "${pname}-v${version}";
    sha256 = "sha256-91dGi7CyI/6XkbpWbFtnb6XACIExHX/6XYVkKlkDTzc=";
  };
  cargoHash = "sha256-MXchqX8wvMwnT2Js0YVIgOKsZuGglnKRg3HsuyOgBsI=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
